Bug 1308794 - Selected hosts on satellite UI does not get de-selected even after logging out/closing the browser
Selected hosts on satellite UI does not get de-selected even after logging ou...
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hosts (Show other bugs)
6.1.5
All All
medium Severity high (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-16 01:22 EST by Ranjan Kumar
Modified: 2017-06-08 01:44 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 9880 None None None 2017-05-10 07:34 EDT

  None (edit)
Description Ranjan Kumar 2016-02-16 01:22:34 EST
Description of problem:
when I relogin, if the "Items Selected" box is already checked, one should know that there are already hosts which are selected so he/she should be careful.  However it is easy for one to miss it especially if someone is not very well versed with Satellite. Also, once one does the second selection and clicks on some *Action* , there is another pop up which gives the list of hosts on which the actions is going to be performed. Again, if the list is long, it would not be possible to verify it and this can result in a disaster .

Suggestion: Caching of checkboxes should have a smaller timeout value and should be cleared if one logs out and using timeout we can ensure that previous selected result should not mess out with current result set.

Version-Release number of selected component (if applicable):6.1.5

How reproducible:

Steps to Reproduce:
1. Log in to Satellite server and search for some patter and select some hosts.
2. Log out of Satellite server ( without de-selecting the hosts )
3. Log in to Satellite Server and select some other hosts with may be a different search pattern .
4. Now if we take an action on the newly selected hosts (like changing the group, deleting etc) ,It would apply to my earlier selected hosts too.

Actual results: After relogin the older selected host still present. 

Expected results: After logout it should clear all filter and selection of hosts.



Additional info:
Comment 1 Bryan Kearney 2016-07-26 15:04:48 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 2 Tomer Brisker 2017-05-10 07:11:24 EDT
Created redmine issue http://projects.theforeman.org/issues/19507 from this bug

Note You need to log in before you can comment on or make changes to this bug.